<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"

      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Режиссеры фильмотеки</title>
    <script th:inline="javascript">
        let flag = [[${exception}]];
        window.onload = () => {
            if (flag) new bootstrap.Modal(document.getElementById('deleteErrorModal'), {keyboard: false}).show()
        };
    </script>
</head>
<div layout:fragment="content">
    <div>
        <hr class="hr"/>
        <h3>Поиск режиссера</h3>
        <form method="POST" th:action="@{/directors/search}" th:object="${directorSearchForm}">
            <div class="mt-0 row g-2">
                <div class="col-md">
                    <div class="form-floating">
                        <input name="fio" type="text" class="form-control" id="fio" placeholder="Имя режиссера">
                        <label for="fio">Имя режиссера</label>
                    </div>
                </div>
                <div class="row g-2">
                    <button type="submit" class="btn btn-secondary">Найти режиссера</button>
                </div>
            </div>
        </form>
    </div>
    <hr class="mt-3 hr"/>
    <div class="mt-5">
        <div class="row">
            <div class="col">
                <h2>Все режиссеры фильмотеки</h2></div>
            <div class="col">
                <a sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('MANAGER'))"
               href="directors/add"
               class="btn btn-secondary"
               role="button"
               style="float: right"
               aria-disabled="true">Добавить режиссера</a>
        </div>
    </div>
    <table class="table table-hover">
        <thead>
        <tr>
            <th scope="col">Имя</th>
            <th scope="col">Дата рождения</th>
            <th scope="col">Рейтинг</th>
            <th scope="col"></th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="director : ${directors}">
            <td>
                <a class="director-link" th:href="'/directors/' + ${director.getId()}" th:text="${director.getFio()}"></a>
            </td>
            <td th:text="${director.getBirthDate()}"></td>
            <td th:text="${director.getPosition()}"></td>
            <td th:text="${director.getDescription()}"></td>
            <td>
                <div sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('MANAGER'))">
                    <a class="btn btn-sm btn-outline-success" th:href="'/directors/update/' + ${director.getId()}">Обновить</a>
                    <a th:if="${!director.isDeleted()}" class="btn btn-sm btn-outline-danger" th:href="'/directors/delete/' + ${director.getId()}"
                       onclick="return confirm('Вы действительно хотите удалить режиссера?');">Удалить</a>
                    <a th:if="${director.isDeleted()}" class="btn btn-sm btn-outline-warning" th:href="'/directors/restore/' + ${director.getId()}">Восстановить</a>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
</div>
</div>
</body>
</html>